crackberg(6)

NAME
zephyr - Lose your way wandering some height fields, and enjoy candy.

SYNOPSIS
zephyr [-root] [-window] [-install] [-display host:display.screen] [-visual visual] [-window-id id] [-delay usecs] [-fps] [-crack] [-lit] [-boring] [-letterbox] [-flat] [-wire] [-nowater] [-visibility float] [-color string] [-nsubdivs integer]

DESCRIPTION
Flies through height maps, optionally animating the instantiation and destruction of generated tiles; by default, tiles 'grow' into place (height gradually increased up to correct value). In windowed mode the following key controls are available:

left, right
    Turn left and right.

a,w,s,d
    Move left, forwards, backwards, and to the right, respectively.

1,2 Decrease and increase manual speed, respectively.

Spacebar
    Return to automatic control.

OPTIONS
zephyr accepts the following options:

-root
    Draw on the root window.

-window
    Draw on a newly-created window. This is the default.

-install
    Install a private colormap for the window.

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-delay microseconds
    Delay between frames; default 20000 (1/50th of a second).

-fps
    Display frame per second and polygon counts.

-crack
    Use all possible methods to animate tile instantiation.

-boring
    Do not animate instatiation at all; use this to get standard landscape generator behavior.

-letterbox
    Drawable window region has a 16:9 aspect ratio, regardless of actual window size.

-lit
    Enable lighting.

-flat
    Flat shading (OpenGL will use one color per primitive, rather than interpolating betwixt vertices).

-wire
    Wireframe.

-nowater
    Do not display 'water' (forces negative values to zero, and selects a different coloring method).

-visibility float
    Value in range [0.2,1.0] (default 0.6) specifying proportion of viewable XY plane which is to be drawn upon.

-color string
    Selects color scheme. Use with no or bogus argument for current list.

-nsubdivs integer
    Number of times to recursively subdivide each triangular tile. Each increment increases total triangles by a factor of 4; for instance the default setting 4 results in 256 triangles per tile.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2005 by Matus Telgarsky. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Matus Telgarsky <catachresis@cmu.edu>, 2005.